TARGET   = corepdf
TEMPLATE = app

QT += widgets core-private gui-private widgets-private

VERSION  = 2.7.0

# Library section
unix:!macx: LIBS += -lcprime

INCLUDEPATH  += pdfdocument pdfwidget
LIBS         += -L/usr/lib -lpoppler-qt5

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "../corepdf.desktop"

        icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = icons/corepdf.svg

        INSTALLS += target icons desktop
}

RESOURCES += icons.qrc

FORMS += corepdf.ui

HEADERS += pdfdocument/qpdfdocument.h
HEADERS += pdfdocument/qpdfdocumentrenderoptions.h
HEADERS += pdfdocument/qpdfnamespace.h
HEADERS += pdfdocument/qpdfpagenavigation.h
HEADERS += pdfdocument/qpdfpagerenderer.h
HEADERS += pdfdocument/qtpdfglobal.h
HEADERS += pdfwidget/qpdfview.h
HEADERS += pdfwidget/qpdfview_p.h
HEADERS += pdfwidget/qtpdfwidgetsglobal.h
HEADERS += corepdf.h

SOURCES += pdfdocument/qpdfdocument.cpp
SOURCES += pdfdocument/qpdfpagenavigation.cpp
SOURCES += pdfdocument/qpdfpagerenderer.cpp
SOURCES += pdfwidget/qpdfview.cpp
SOURCES += corepdf.cpp
SOURCES += main.cpp
